<div
  class='page-col-sheet offcanvas offcanvas-end'
  ...attributes
  {{did-insert this.setup}}
  {{did-update this.setStates @show}}
  tabindex='-1'
  id='{{this.elementId}}Offcanvas'
  aria-labelledby='{{this.elementId}}OffcanvasLabel'
>
  <div class='offcanvas-header'>
    {{#if @title}}
      <h5 class='offcanvas-title' id='{{this.elementId}}OffcanvasLabel'>
        {{@title}}
      </h5>
    {{/if}}
    <button
      type='button'
      class='btn-close text-reset'
      data-bs-dismiss={{this.elementId}}
      aria-label='Close'
      {{on 'click' this.close}}
    ></button>
  </div>

  <div class='offcanvas-body'>
    {{#if this.visible}}
      {{yield}}
    {{/if}}
  </div>
</div>